如何在AidLearning中安装pygame、mysql/mysql-server、pyqt5、OpenJDK、tk、pandas、clang、golang等

Bill
站长
2020-03-28 23:27:00 2020-06-05 8:47:26浏览次数:

如何在aid中安装这些常见的包呢?

其实很简单,就是采用Linux最强大的apt-get工具。有兴趣的可参考百度百科上的介绍:apt-get百度百科介绍。 首先,在桌面上打开Terminal或xterm进入命令行界面:然后输入下面的命令

安装pygame的命令行如下:

apt-get install python3-pygame

安装mysql的命令如下:

apt-get install default-mysql-server

安装pyqt5的命令如下:

apt-get install python3-pyqt5

安装openjdk-11-jdk的命令如下:

apt-get install openjdk-11-jdk

安装python-tk的命令如下:

apt-get install python3-tk

安装pandas的命令如下:

apt-get install python3-pandas

GEVQij.md.png

最后你发现速度很慢怎么办?

因为默认的源是国外的网址,所以下载很定很慢,不过不要紧,你可以换源: 换源请参照这个xiaosuan-2b的帖子换源教程全套

共 6 条回复

aid_learning

@aid_learning 换源后可以了,论坛有

aid_learning

@aid_learning 再装一个python3.6不会出问题吧

aid_learning

8.5版本好像无法这样安装tk,报错如下: 下列软件包有未满足的依赖关系: python3-tk : 依赖: python3 (>= 3.5) 但是它将不会被安装 依赖: python3 (< 3.6) 但是它将不会被安装 是我配置问题吗,还是需要换其他镜像,我用的是清华镜像

Bill
站长

ps 你可以用pgrep或top代替,另外php和nginx都是可以通过apt安装的

33669900

还有个,执行命令报错,这个怎么解决?发帖老是不能出来编辑界面,只能发这了。。。。。 sh-5.0# ps
Error: /proc must be mounted To mount /proc at boot you need an /etc/fstab line like: proc /proc proc defaults In the meantime, run "mount proc /proc -t proc"

33669900

PHP和nginx能直接安装吗?